| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 3. Executable Programs | Next

# scfg_parse Parse text using a pre-trained stochastic context free grammar

## Synopsis

scfg_parse [options] [-grammar `ifile`] [-corpus `ifile`] [-brackets ] [-o `ofile`]

This parses given text with a given stochastic context free grammar. Note this program is not designed as an arbitrary parser for unrestricted English. It simply parses the input non-terminals with the given grammar. If you want to English (or other language) parses consider using the festival script scfg_parse which does proper tokenization and part of speech tagging, before passing it to a SCFG.

## OPTIONS

> -grammar | `ifile` Grammar file, one rule per line.
> -corpus | `ifile` Corpus file, one bracketed sentence per line.
> -brackets | Output bracketing only.
> -o | `ofile` Output file for parsed sentences.

Prev | Home | Next
scfg_train Train the parameters of a stochastic context free grammar | Up | scfg_test Test the output of a parser